﻿#region using Directives
//These are all Directives this Document uses
using System.Linq;
using System.Collections.Generic;
using System.Collections.ObjectModel;
#endregion

namespace Selectron_C_Bus_Calculator.ViewModel
{
    public class ExtensionViewModel : BaseViewModel
    {
        #region Variables
        private bool isenabled;
        private bool isenabled_number;
        #endregion

        #region Instances
        private List<string> extensions = new List<string>();
        private ObservableCollection<string> source = new ObservableCollection<string>();
        private Dictionary<string, Extensions> extensionsdictionary = new Dictionary<string, Extensions>();
        #endregion

        #region Constructor
        public ExtensionViewModel(bool isenabled, bool isenablednumber,Dictionary<string,Extensions> ext)
        {

            this.isenabled = isenabled;
            this.isenabled_number = isenablednumber;

            extensions = ext.Keys.ToList();

            for (int i = 0; i < ext.Count; i++)
            {
                Source.Add(extensions[i]);
            }
        }
        #endregion

        #region Properties
        public bool Isenabled
        {
            get
            {
                return isenabled;
            }
            set
            {
                isenabled = value;
                RaisePropertyChanged("Isenabled");
            }
        }

        public bool Isenabled_Number
        {
            get
            {
                return isenabled_number;
            }
            set
            {
                isenabled_number = value;
                RaisePropertyChanged("Isenabled_Number");
            }
        }
        

        public ObservableCollection<string> Source
        { 
            get
            {
                return source;
            }
            set
            {
                source = value;
                RaisePropertyChanged("Source");
            }
        }
        #endregion
    }
}
