﻿#region using Directives
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;
#endregion

namespace Selectron_C_Bus_Calculator.ViewModel
{
    public class FillListViewViewModel : BaseViewModel
    {
        #region Variables
        int remModule;
        int modulecnt;
        int remPower;
        int powercnt;
        #endregion

        #region Constructor
        public FillListViewViewModel(int remModule, int modulecnt, int remPower, int powercnt)
        {
            this.remModule = remModule;
            this.modulecnt = modulecnt;
            this.remPower = remPower;
            this.powercnt = powercnt;
        }
        #endregion

        #region Properties
        public int RemModule
        {
            get
            {
                return remModule;
            }

            set
            {
                remModule = value;
                RaisePropertyChanged("RemModule");
            }
        }

        public int ModuleCount
        {
            get
            {
                return modulecnt;
            }
            set
            {
                modulecnt = value;
                RaisePropertyChanged("ModuleCount");
            }
        }

        public int Rempower
        {
            get
            {
                return remPower;
            }
            set
            {
                remPower = value;
                RaisePropertyChanged("Rempower");
            }
        }

        public int PowerCount
        {
            get
            {
                return powercnt;
            }
            set
            {
                powercnt = value;
                RaisePropertyChanged("PowerCount");
            }
        }
        #endregion
    }
}
