﻿#region using Directives
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Selectron_C_Bus_Calculator.Model;
using System.Collections.ObjectModel;
#endregion

namespace Selectron_C_Bus_Calculator.ViewModel
{
    public class Nodes : BaseViewModel
    {
        #region Variables
        private string name;
        private int artnr;
        private int maxpowerextbus_mw;
        private string mas;
        private int maxmodulecount;
        #endregion

        #region Constructor
        public Nodes(string name, int artnr, int maxpower, string mas, int maxmodules)
        {
            this.name = name;
            this.artnr = artnr;
            this.maxpowerextbus_mw = maxpower;
            this.mas = mas;
            this.maxmodulecount = maxmodules;
        }
        #endregion

        #region Properties
        public string Name
        {
            get
            {
                return name;
            }
        }

        public int Artnr
        {
            get
            {
                return artnr;
            }
        }

        public int Maxpowerextbus_mw
        {
            get
            {
                return maxpowerextbus_mw;
            }
        }

        public string MAS
        {
            get
            {
                return mas;
            }
        }

        public int Maxmodulecount
        {
            get
            {
                return maxmodulecount;
            }
        }
        #endregion
    }
}
